Topic: The Logjam Attack

Epic Browser Version 40.0.2214.91
Warning! Your web browser is vulnerable to Logjam and can be tricked into using weak encryption. You should update your browser.

https://weakdh.org/

Re: The Logjam Attack

please update

Re: The Logjam Attack

Thanks -- we're working on an update.

Re: The Logjam Attack

alok wrote:

Thanks -- we're working on an update.

thank you.

The dev channel has been updated to 45.0.2438.3 for Windows, Mac, and Linux.

http://googlechromereleases.blogspot.co … te_23.html